{
  stdenvNoCC,
  fetchurl,
  imagemagick,
}:
stdenvNoCC.mkDerivation {
  pname = "mizukios-logo";
  version = "1.0";
  src = fetchurl {
    url = "https://miyo.moe/pub/img/%E1%84%86%E1%85%B5%E1%84%8C%E1%85%B3%E1%84%8F%E1%85%B5.png";
    hash = "sha256-ZHQkYO4HvBjccXtQGTRcNcl7f1noibOTP6Cq71OKFP4=";
  };

  nativeBuildInputs = [
    imagemagick
  ];

  dontUnpack = true;

  # unpackPhase = ":";
  installPhase = ''
    runHook preInstall

    mkdir -p $out/share/pixmaps
    mkdir -p $out/share/icons/hicolor/scalable/apps
    cp $src $out/share/pixmaps/mizukios.png
    cp $src $out/share/icons/hicolor/scalable/apps/mizukios.png

    magick $src \
      -resize "512x512" \
      $out/share/pixmaps/mizukios-mini.png
  '';
}
